import Vue from 'vue'
import VueRouter from 'vue-router'
import beforeEnter from '@/utils/beforeEnter'

Vue.use(VueRouter)

const routes = [{ path: '*', redirect: '/dashboard' }]

const router = new VueRouter({
  mode: 'history',
  routes
})

router.beforeEach(beforeEnter)

export default router
